Package org.drinkless.tdlib

# Class TdApi.GetBotInfoShortDescription

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Text>
org.drinkless.tdlib.TdApi.GetBotInfoShortDescription

Enclosing class:
  TdApi

public static class TdApi.GetBotInfoShortDescription extends TdApi.Function<TdApi.Text>
Returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

Returns `Text`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the target bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languageCode`
  A two-letter ISO 639-1 language code or an empty string.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetBotInfoShortDescription()`
  Default constructor for a function, which returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language.
  `GetBotInfoShortDescription(long botUserId, String languageCode)`
  Creates a function, which returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the target bot.

  - ### languageCode

    public String languageCode
    A two-letter ISO 639-1 language code or an empty string.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetBotInfoShortDescription

    public GetBotInfoShortDescription()
    Default constructor for a function, which returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

    Returns `Text`

  - ### GetBotInfoShortDescription

    public GetBotInfoShortDescription(long botUserId, String languageCode)
    Creates a function, which returns the text shown on a bot's profile page and sent together with the link when users share the bot in the given language. Can be called only if userTypeBot.canBeEdited == true.

    Returns `Text`

    Parameters:
      `botUserId` - Identifier of the target bot.
      `languageCode` - A two-letter ISO 639-1 language code or an empty string.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Text>`
    Returns:
      this.CONSTRUCTOR